
QGIS Application - Feature request #18099

WFS Capabilities handling problem

2018-02-14 12:38 PM - armin11 -

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Web Services clients/WFS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 25995

Description

The WFS Client doesn't support different URLs for the different WFS Operations as this is done by the WMS Client.

Associated revisions

Revision f1b59876 - 2018-02-21 09:48 PM - Alessandro Pasotti 

[bugfix] Support Distributed Computing Platform (DCP) for WFS

Implement the possibility to specify different endpoints

for different WFS operations.

With tests.

Fixes #18099 WFS Capabilities handling problem

History

#1 - 2018-02-14 04:46 PM - Alessandro Pasotti

- Status changed from Open to Feedback

Please attach an example QGIS project with a sample WFS we can test to reproduce the issue.

#2 - 2018-02-15 03:33 PM - armin11 -

- File wfs_problem_2.18.16.qgs added

wfs with different operation urls:

http://www.geoportal.rlp.de/mapbender/php/wfs.php?INSPIRE=1&#38;FEATURETYPE_ID=1316&#38;request=GetCapabilities&#38;VERSION=1.1.0&

38;SERVICE=WFS

hope this helps ;-)

#3 - 2018-02-19 04:02 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#4 - 2018-02-19 04:31 PM - Alessandro Pasotti

- Tracker changed from Bug report to Feature request
http://www.geoportal.rlp.de/mapbender/php/wfs.php?INSPIRE=1&#38;FEATURETYPE_ID=1316&#38;request=GetCapabilities&#38;VERSION=1.1.0&#38;SERVICE=WFS
http://www.geoportal.rlp.de/mapbender/php/wfs.php?INSPIRE=1&#38;FEATURETYPE_ID=1316&#38;request=GetCapabilities&#38;VERSION=1.1.0&#38;SERVICE=WFS


This is not currently implemented.

Changing to Feature Request. I'll se what I can do during the HackFest in Madeira.

#5 - 2018-02-22 04:00 PM - Anonymous

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|f1b59876344bf0c0f066c81bf8ef73ef25365023.

#6 - 2018-02-23 10:32 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

wfs_problem_2.18.16.qgs 5.6 KB 2018-02-15 armin11 -
